Permalink
Browse files

Update a few documentation files.

  • Loading branch information...
1 parent ab93fe6 commit adf4ea822a98376362f812ae1ff6488148218380 @codebrainz committed Oct 7, 2011
Showing with 17 additions and 3 deletions.
  1. +1 −0 AUTHORS
  2. +15 −3 NEWS
  3. +1 −0 README
View
@@ -1,3 +1,4 @@
Erik Harrison <erikharrison@xfce.org>
Nick Schermer <nick@xfce.org>
Benedikt Meurer <benny@xfce.org>
+Matthew Brush <matt@xfce.org>
View
18 NEWS
@@ -6,17 +6,23 @@ Highlights:
- Run multiple windows in one instance. We also invoke a running
instance with DBus (optional), this is needed for tab DND between
windows.
- - Support for multiple tabs in one window.
+ - Drag and Drop support for text inside a document, between tabs and
+ between windows. Also supports opening a file by dragging it into
+ the window.
+ - Support for multiple tabs in one window which are both reorderable
+ and detachable.
- Load multiple files at once from both the open dialog and the command
line.
- Type-ahead find and highlight feature like Firefox.
- Support for editable menu accelerators.
- Reimplemented recent file support. You can cleanup the Mousepad history
and a file is removed from the history when Mousepad was unable to open
it.
+ - Syntax highlighting of many filetypes (including printing).
- Various hidden settings.
- - Statusbar with cursor location and whether overwrite is actived.
- - Mousepad depends on GTK+ 2.10.
+ - Statusbar with filetype, cursor location and whether overwrite is
+ actived.
+ - Mousepad depends on GTK+ 2.20.
Bug fixes:
- Save button is now default response in the dialog (Bug #2941).
@@ -28,3 +34,9 @@ Bug fixes:
- The MousepadPreferences object uses XfceRc for saving the
settings (Bug #2786).
- No segfault when there is no rc file (Bug #2784).
+ - Support syntax highlighting using GtkSourceView (Bug #3228 & #5803).
+ - Proper Drag and Drop support (Bug #2055).
+ - Fix recent files support (Bug #5635, #3850 & #7890).
+ - Use GTK+ printing (Bug #4477).
+ - Settings saved in Find (and Replace) dialogs (Bug #7246).
+ - No deprecated dependencies (Bug #7259).
View
1 README
@@ -23,6 +23,7 @@ Mousepad depends on the following packages:
- Gtk+ 2.10.0 or above
- Libxfce4util 4.4.0 or above
+ - GtkSourceView 2.2.2 or above
@codebrainz

codebrainz Oct 7, 2011

Owner

Need to find out which version is the minimum. 2.2.2 at a glance seems to have all of the used features.

The following packages are optional:

0 comments on commit adf4ea8

Please sign in to comment.